llvm.org GIT mirror llvm / b4857de
Remove the test for endianness in configure.ac and regenerate. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@198825 91177308-0d34-0410-b5e6-96231b3b80d8 Eric Christopher 6 years ago
3 changed file(s) with 457 addition(s) and 761 deletion(s). Raw diff Collapse all Expand all
450450
451451 AC_SUBST(HOST_ARCH,$host_arch)
452452
453 dnl Check for the endianness of the target
454 AC_C_BIGENDIAN(AC_SUBST([ENDIAN],[big]),AC_SUBST([ENDIAN],[little]))
455
456453 dnl Check for build platform executable suffix if we're cross-compiling
457454 if test "$cross_compiling" = yes; then
458455 AC_SUBST(LLVM_CROSS_COMPILING, [1])
674674 LLVM_ON_WIN32
675675 ARCH
676676 HOST_ARCH
677 ENDIAN
678 GREP
679 EGREP
680677 LLVM_CROSS_COMPILING
681678 BUILD_CC
682679 BUILD_EXEEXT
726723 CP
727724 DATE
728725 FIND
726 GREP
729727 MKDIR
730728 MV
731729 RANLIB
759757 OCAMLDOC
760758 GAS
761759 HAVE_LINK_VERSION_SCRIPT
760 EGREP
762761 INSTALL_LTDL_TRUE
763762 INSTALL_LTDL_FALSE
764763 CONVENIENCE_LTDL_TRUE
40814080 HOST_ARCH=$host_arch
40824081
40834082
4084
4085
4086 { echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
4087 echo $ECHO_N "checking for grep that handles long lines and -e... $ECHO_C" >&6; }
4088 if test "${ac_cv_path_GREP+set}" = set; then
4089 echo $ECHO_N "(cached) $ECHO_C" >&6
4090 else
4091 # Extract the first word of "grep ggrep" to use in msg output
4092 if test -z "$GREP"; then
4093 set dummy grep ggrep; ac_prog_name=$2
4094 if test "${ac_cv_path_GREP+set}" = set; then
4095 echo $ECHO_N "(cached) $ECHO_C" >&6
4096 else
4097 ac_path_GREP_found=false
4098 # Loop through the user's path and test for each of PROGNAME-LIST
4099 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4100 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
4101 do
4102 IFS=$as_save_IFS
4103 test -z "$as_dir" && as_dir=.
4104 for ac_prog in grep ggrep; do
4105 for ac_exec_ext in '' $ac_executable_extensions; do
4106 ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
4107 { test -f "$ac_path_GREP" && $as_executable_p "$ac_path_GREP"; } || continue
4108 # Check for GNU ac_path_GREP and select it if it is found.
4109 # Check for GNU $ac_path_GREP
4110 case `"$ac_path_GREP" --version 2>&1` in
4111 *GNU*)
4112 ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
4113 *)
4114 ac_count=0
4115 echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
4116 while :
4117 do
4118 cat "conftest.in" "conftest.in" >"conftest.tmp"
4119 mv "conftest.tmp" "conftest.in"
4120 cp "conftest.in" "conftest.nl"
4121 echo 'GREP' >> "conftest.nl"
4122 "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
4123 diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
4124 ac_count=`expr $ac_count + 1`
4125 if test $ac_count -gt ${ac_path_GREP_max-0}; then
4126 # Best one so far, save it but keep looking for a better one
4127 ac_cv_path_GREP="$ac_path_GREP"
4128 ac_path_GREP_max=$ac_count
4129 fi
4130 # 10*(2^10) chars as input seems more than enough
4131 test $ac_count -gt 10 && break
4132 done
4133 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
4134 esac
4135
4136
4137 $ac_path_GREP_found && break 3
4138 done
4139 done
4140
4141 done
4142 IFS=$as_save_IFS
4143
4144
4145 fi
4146
4147 GREP="$ac_cv_path_GREP"
4148 if test -z "$GREP"; then
4149 { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
4150 echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
4151 { (exit 1); exit 1; }; }
4152 fi
4153
4154 else
4155 ac_cv_path_GREP=$GREP
4156 fi
4157
4158
4159 fi
4160 { echo "$as_me:$LINENO: result: $ac_cv_path_GREP" >&5
4161 echo "${ECHO_T}$ac_cv_path_GREP" >&6; }
4162 GREP="$ac_cv_path_GREP"
4163
4164
4165 { echo "$as_me:$LINENO: checking for egrep" >&5
4166 echo $ECHO_N "checking for egrep... $ECHO_C" >&6; }
4167 if test "${ac_cv_path_EGREP+set}" = set; then
4168 echo $ECHO_N "(cached) $ECHO_C" >&6
4169 else
4170 if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
4171 then ac_cv_path_EGREP="$GREP -E"
4172 else
4173 # Extract the first word of "egrep" to use in msg output
4174 if test -z "$EGREP"; then
4175 set dummy egrep; ac_prog_name=$2
4176 if test "${ac_cv_path_EGREP+set}" = set; then
4177 echo $ECHO_N "(cached) $ECHO_C" >&6
4178 else
4179 ac_path_EGREP_found=false
4180 # Loop through the user's path and test for each of PROGNAME-LIST
4181 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
4182 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
4183 do
4184 IFS=$as_save_IFS
4185 test -z "$as_dir" && as_dir=.
4186 for ac_prog in egrep; do
4187 for ac_exec_ext in '' $ac_executable_extensions; do
4188 ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
4189 { test -f "$ac_path_EGREP" && $as_executable_p "$ac_path_EGREP"; } || continue
4190 # Check for GNU ac_path_EGREP and select it if it is found.
4191 # Check for GNU $ac_path_EGREP
4192 case `"$ac_path_EGREP" --version 2>&1` in
4193 *GNU*)
4194 ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
4195 *)
4196 ac_count=0
4197 echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
4198 while :
4199 do
4200 cat "conftest.in" "conftest.in" >"conftest.tmp"
4201 mv "conftest.tmp" "conftest.in"
4202 cp "conftest.in" "conftest.nl"
4203 echo 'EGREP' >> "conftest.nl"
4204 "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
4205 diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
4206 ac_count=`expr $ac_count + 1`
4207 if test $ac_count -gt ${ac_path_EGREP_max-0}; then
4208 # Best one so far, save it but keep looking for a better one
4209 ac_cv_path_EGREP="$ac_path_EGREP"
4210 ac_path_EGREP_max=$ac_count
4211 fi
4212 # 10*(2^10) chars as input seems more than enough
4213 test $ac_count -gt 10 && break
4214 done
4215 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
4216 esac
4217
4218
4219 $ac_path_EGREP_found && break 3
4220 done
4221 done
4222
4223 done
4224 IFS=$as_save_IFS
4225
4226
4227 fi
4228
4229 EGREP="$ac_cv_path_EGREP"
4230 if test -z "$EGREP"; then
4231 { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
4232 echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
4233 { (exit 1); exit 1; }; }
4234 fi
4235
4236 else
4237 ac_cv_path_EGREP=$EGREP
4238 fi
4239
4240
4241 fi
4242 fi
4243 { echo "$as_me:$LINENO: result: $ac_cv_path_EGREP" >&5
4244 echo "${ECHO_T}$ac_cv_path_EGREP" >&6; }
4245 EGREP="$ac_cv_path_EGREP"
4246
4247
4248 { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
4249 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
4250 if test "${ac_cv_header_stdc+set}" = set; then
4251 echo $ECHO_N "(cached) $ECHO_C" >&6
4252 else
4253 cat >conftest.$ac_ext <<_ACEOF
4254 /* confdefs.h. */
4255 _ACEOF
4256 cat confdefs.h >>conftest.$ac_ext
4257 cat >>conftest.$ac_ext <<_ACEOF
4258 /* end confdefs.h. */
4259 #include
4260 #include
4261 #include
4262 #include
4263
4264 int
4265 main ()
4266 {
4267
4268 ;
4269 return 0;
4270 }
4271 _ACEOF
4272 rm -f conftest.$ac_objext
4273 if { (ac_try="$ac_compile"
4274 case "(($ac_try" in
4275 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4276 *) ac_try_echo=$ac_try;;
4277 esac
4278 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4279 (eval "$ac_compile") 2>conftest.er1
4280 ac_status=$?
4281 grep -v '^ *+' conftest.er1 >conftest.err
4282 rm -f conftest.er1
4283 cat conftest.err >&5
4284 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4285 (exit $ac_status); } &&
4286 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
4287 { (case "(($ac_try" in
4288 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4289 *) ac_try_echo=$ac_try;;
4290 esac
4291 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4292 (eval "$ac_try") 2>&5
4293 ac_status=$?
4294 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4295 (exit $ac_status); }; } &&
4296 { ac_try='test -s conftest.$ac_objext'
4297 { (case "(($ac_try" in
4298 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4299 *) ac_try_echo=$ac_try;;
4300 esac
4301 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4302 (eval "$ac_try") 2>&5
4303 ac_status=$?
4304 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4305 (exit $ac_status); }; }; then
4306 ac_cv_header_stdc=yes
4307 else
4308 echo "$as_me: failed program was:" >&5
4309 sed 's/^/| /' conftest.$ac_ext >&5
4310
4311 ac_cv_header_stdc=no
4312 fi
4313
4314 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4315
4316 if test $ac_cv_header_stdc = yes; then
4317 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
4318 cat >conftest.$ac_ext <<_ACEOF
4319 /* confdefs.h. */
4320 _ACEOF
4321 cat confdefs.h >>conftest.$ac_ext
4322 cat >>conftest.$ac_ext <<_ACEOF
4323 /* end confdefs.h. */
4324 #include
4325
4326 _ACEOF
4327 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4328 $EGREP "memchr" >/dev/null 2>&1; then
4329 :
4330 else
4331 ac_cv_header_stdc=no
4332 fi
4333 rm -f conftest*
4334
4335 fi
4336
4337 if test $ac_cv_header_stdc = yes; then
4338 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
4339 cat >conftest.$ac_ext <<_ACEOF
4340 /* confdefs.h. */
4341 _ACEOF
4342 cat confdefs.h >>conftest.$ac_ext
4343 cat >>conftest.$ac_ext <<_ACEOF
4344 /* end confdefs.h. */
4345 #include
4346
4347 _ACEOF
4348 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
4349 $EGREP "free" >/dev/null 2>&1; then
4350 :
4351 else
4352 ac_cv_header_stdc=no
4353 fi
4354 rm -f conftest*
4355
4356 fi
4357
4358 if test $ac_cv_header_stdc = yes; then
4359 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
4360 if test "$cross_compiling" = yes; then
4361 :
4362 else
4363 cat >conftest.$ac_ext <<_ACEOF
4364 /* confdefs.h. */
4365 _ACEOF
4366 cat confdefs.h >>conftest.$ac_ext
4367 cat >>conftest.$ac_ext <<_ACEOF
4368 /* end confdefs.h. */
4369 #include
4370 #include
4371 #if ((' ' & 0x0FF) == 0x020)
4372 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
4373 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
4374 #else
4375 # define ISLOWER(c) \
4376 (('a' <= (c) && (c) <= 'i') \
4377 || ('j' <= (c) && (c) <= 'r') \
4378 || ('s' <= (c) && (c) <= 'z'))
4379 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
4380 #endif
4381
4382 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
4383 int
4384 main ()
4385 {
4386 int i;
4387 for (i = 0; i < 256; i++)
4388 if (XOR (islower (i), ISLOWER (i))
4389 || toupper (i) != TOUPPER (i))
4390 return 2;
4391 return 0;
4392 }
4393 _ACEOF
4394 rm -f conftest$ac_exeext
4395 if { (ac_try="$ac_link"
4396 case "(($ac_try" in
4397 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4398 *) ac_try_echo=$ac_try;;
4399 esac
4400 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4401 (eval "$ac_link") 2>&5
4402 ac_status=$?
4403 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4404 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4405 { (case "(($ac_try" in
4406 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4407 *) ac_try_echo=$ac_try;;
4408 esac
4409 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4410 (eval "$ac_try") 2>&5
4411 ac_status=$?
4412 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4413 (exit $ac_status); }; }; then
4414 :
4415 else
4416 echo "$as_me: program exited with status $ac_status" >&5
4417 echo "$as_me: failed program was:" >&5
4418 sed 's/^/| /' conftest.$ac_ext >&5
4419
4420 ( exit $ac_status )
4421 ac_cv_header_stdc=no
4422 fi
4423 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4424 fi
4425
4426
4427 fi
4428 fi
4429 { echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
4430 echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
4431 if test $ac_cv_header_stdc = yes; then
4432
4433 cat >>confdefs.h <<\_ACEOF
4434 #define STDC_HEADERS 1
4435 _ACEOF
4436
4437 fi
4438
4439 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
4440
4441
4442
4443
4444
4445
4446
4447
4448
4449 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
4450 inttypes.h stdint.h unistd.h
4451 do
4452 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4453 { echo "$as_me:$LINENO: checking for $ac_header" >&5
4454 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
4455 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
4456 echo $ECHO_N "(cached) $ECHO_C" >&6
4457 else
4458 cat >conftest.$ac_ext <<_ACEOF
4459 /* confdefs.h. */
4460 _ACEOF
4461 cat confdefs.h >>conftest.$ac_ext
4462 cat >>conftest.$ac_ext <<_ACEOF
4463 /* end confdefs.h. */
4464 $ac_includes_default
4465
4466 #include <$ac_header>
4467 _ACEOF
4468 rm -f conftest.$ac_objext
4469 if { (ac_try="$ac_compile"
4470 case "(($ac_try" in
4471 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4472 *) ac_try_echo=$ac_try;;
4473 esac
4474 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4475 (eval "$ac_compile") 2>conftest.er1
4476 ac_status=$?
4477 grep -v '^ *+' conftest.er1 >conftest.err
4478 rm -f conftest.er1
4479 cat conftest.err >&5
4480 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4481 (exit $ac_status); } &&
4482 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
4483 { (case "(($ac_try" in
4484 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4485 *) ac_try_echo=$ac_try;;
4486 esac
4487 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4488 (eval "$ac_try") 2>&5
4489 ac_status=$?
4490 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4491 (exit $ac_status); }; } &&
4492 { ac_try='test -s conftest.$ac_objext'
4493 { (case "(($ac_try" in
4494 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4495 *) ac_try_echo=$ac_try;;
4496 esac
4497 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4498 (eval "$ac_try") 2>&5
4499 ac_status=$?
4500 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4501 (exit $ac_status); }; }; then
4502 eval "$as_ac_Header=yes"
4503 else
4504 echo "$as_me: failed program was:" >&5
4505 sed 's/^/| /' conftest.$ac_ext >&5
4506
4507 eval "$as_ac_Header=no"
4508 fi
4509
4510 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4511 fi
4512 ac_res=`eval echo '${'$as_ac_Header'}'`
4513 { echo "$as_me:$LINENO: result: $ac_res" >&5
4514 echo "${ECHO_T}$ac_res" >&6; }
4515 if test `eval echo '${'$as_ac_Header'}'` = yes; then
4516 cat >>confdefs.h <<_ACEOF
4517 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4518 _ACEOF
4519
4520 fi
4521
4522 done
4523
4524
4525 { echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
4526 echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
4527 if test "${ac_cv_c_bigendian+set}" = set; then
4528 echo $ECHO_N "(cached) $ECHO_C" >&6
4529 else
4530 # See if sys/param.h defines the BYTE_ORDER macro.
4531 cat >conftest.$ac_ext <<_ACEOF
4532 /* confdefs.h. */
4533 _ACEOF
4534 cat confdefs.h >>conftest.$ac_ext
4535 cat >>conftest.$ac_ext <<_ACEOF
4536 /* end confdefs.h. */
4537 #include
4538 #include
4539
4540 int
4541 main ()
4542 {
4543 #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
4544 bogus endian macros
4545 #endif
4546
4547 ;
4548 return 0;
4549 }
4550 _ACEOF
4551 rm -f conftest.$ac_objext
4552 if { (ac_try="$ac_compile"
4553 case "(($ac_try" in
4554 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4555 *) ac_try_echo=$ac_try;;
4556 esac
4557 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4558 (eval "$ac_compile") 2>conftest.er1
4559 ac_status=$?
4560 grep -v '^ *+' conftest.er1 >conftest.err
4561 rm -f conftest.er1
4562 cat conftest.err >&5
4563 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4564 (exit $ac_status); } &&
4565 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
4566 { (case "(($ac_try" in
4567 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4568 *) ac_try_echo=$ac_try;;
4569 esac
4570 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4571 (eval "$ac_try") 2>&5
4572 ac_status=$?
4573 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4574 (exit $ac_status); }; } &&
4575 { ac_try='test -s conftest.$ac_objext'
4576 { (case "(($ac_try" in
4577 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4578 *) ac_try_echo=$ac_try;;
4579 esac
4580 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4581 (eval "$ac_try") 2>&5
4582 ac_status=$?
4583 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4584 (exit $ac_status); }; }; then
4585 # It does; now see whether it defined to BIG_ENDIAN or not.
4586 cat >conftest.$ac_ext <<_ACEOF
4587 /* confdefs.h. */
4588 _ACEOF
4589 cat confdefs.h >>conftest.$ac_ext
4590 cat >>conftest.$ac_ext <<_ACEOF
4591 /* end confdefs.h. */
4592 #include
4593 #include
4594
4595 int
4596 main ()
4597 {
4598 #if BYTE_ORDER != BIG_ENDIAN
4599 not big endian
4600 #endif
4601
4602 ;
4603 return 0;
4604 }
4605 _ACEOF
4606 rm -f conftest.$ac_objext
4607 if { (ac_try="$ac_compile"
4608 case "(($ac_try" in
4609 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4610 *) ac_try_echo=$ac_try;;
4611 esac
4612 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4613 (eval "$ac_compile") 2>conftest.er1
4614 ac_status=$?
4615 grep -v '^ *+' conftest.er1 >conftest.err
4616 rm -f conftest.er1
4617 cat conftest.err >&5
4618 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4619 (exit $ac_status); } &&
4620 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
4621 { (case "(($ac_try" in
4622 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4623 *) ac_try_echo=$ac_try;;
4624 esac
4625 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4626 (eval "$ac_try") 2>&5
4627 ac_status=$?
4628 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4629 (exit $ac_status); }; } &&
4630 { ac_try='test -s conftest.$ac_objext'
4631 { (case "(($ac_try" in
4632 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4633 *) ac_try_echo=$ac_try;;
4634 esac
4635 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4636 (eval "$ac_try") 2>&5
4637 ac_status=$?
4638 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4639 (exit $ac_status); }; }; then
4640 ac_cv_c_bigendian=yes
4641 else
4642 echo "$as_me: failed program was:" >&5
4643 sed 's/^/| /' conftest.$ac_ext >&5
4644
4645 ac_cv_c_bigendian=no
4646 fi
4647
4648 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4649 else
4650 echo "$as_me: failed program was:" >&5
4651 sed 's/^/| /' conftest.$ac_ext >&5
4652
4653 # It does not; compile a test program.
4654 if test "$cross_compiling" = yes; then
4655 # try to guess the endianness by grepping values into an object file
4656 ac_cv_c_bigendian=unknown
4657 cat >conftest.$ac_ext <<_ACEOF
4658 /* confdefs.h. */
4659 _ACEOF
4660 cat confdefs.h >>conftest.$ac_ext
4661 cat >>conftest.$ac_ext <<_ACEOF
4662 /* end confdefs.h. */
4663 short int ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
4664 short int ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
4665 void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
4666 short int ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
4667 short int ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
4668 void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
4669 int
4670 main ()
4671 {
4672 _ascii (); _ebcdic ();
4673 ;
4674 return 0;
4675 }
4676 _ACEOF
4677 rm -f conftest.$ac_objext
4678 if { (ac_try="$ac_compile"
4679 case "(($ac_try" in
4680 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4681 *) ac_try_echo=$ac_try;;
4682 esac
4683 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4684 (eval "$ac_compile") 2>conftest.er1
4685 ac_status=$?
4686 grep -v '^ *+' conftest.er1 >conftest.err
4687 rm -f conftest.er1
4688 cat conftest.err >&5
4689 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4690 (exit $ac_status); } &&
4691 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
4692 { (case "(($ac_try" in
4693 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4694 *) ac_try_echo=$ac_try;;
4695 esac
4696 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4697 (eval "$ac_try") 2>&5
4698 ac_status=$?
4699 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4700 (exit $ac_status); }; } &&
4701 { ac_try='test -s conftest.$ac_objext'
4702 { (case "(($ac_try" in
4703 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4704 *) ac_try_echo=$ac_try;;
4705 esac
4706 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4707 (eval "$ac_try") 2>&5
4708 ac_status=$?
4709 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4710 (exit $ac_status); }; }; then
4711 if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
4712 ac_cv_c_bigendian=yes
4713 fi
4714 if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
4715 if test "$ac_cv_c_bigendian" = unknown; then
4716 ac_cv_c_bigendian=no
4717 else
4718 # finding both strings is unlikely to happen, but who knows?
4719 ac_cv_c_bigendian=unknown
4720 fi
4721 fi
4722 else
4723 echo "$as_me: failed program was:" >&5
4724 sed 's/^/| /' conftest.$ac_ext >&5
4725
4726
4727 fi
4728
4729 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4730 else
4731 cat >conftest.$ac_ext <<_ACEOF
4732 /* confdefs.h. */
4733 _ACEOF
4734 cat confdefs.h >>conftest.$ac_ext
4735 cat >>conftest.$ac_ext <<_ACEOF
4736 /* end confdefs.h. */
4737 $ac_includes_default
4738 int
4739 main ()
4740 {
4741
4742 /* Are we little or big endian? From Harbison&Steele. */
4743 union
4744 {
4745 long int l;
4746 char c[sizeof (long int)];
4747 } u;
4748 u.l = 1;
4749 return u.c[sizeof (long int) - 1] == 1;
4750
4751 ;
4752 return 0;
4753 }
4754 _ACEOF
4755 rm -f conftest$ac_exeext
4756 if { (ac_try="$ac_link"
4757 case "(($ac_try" in
4758 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4759 *) ac_try_echo=$ac_try;;
4760 esac
4761 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4762 (eval "$ac_link") 2>&5
4763 ac_status=$?
4764 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4765 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
4766 { (case "(($ac_try" in
4767 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
4768 *) ac_try_echo=$ac_try;;
4769 esac
4770 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
4771 (eval "$ac_try") 2>&5
4772 ac_status=$?
4773 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4774 (exit $ac_status); }; }; then
4775 ac_cv_c_bigendian=no
4776 else
4777 echo "$as_me: program exited with status $ac_status" >&5
4778 echo "$as_me: failed program was:" >&5
4779 sed 's/^/| /' conftest.$ac_ext >&5
4780
4781 ( exit $ac_status )
4782 ac_cv_c_bigendian=yes
4783 fi
4784 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
4785 fi
4786
4787
4788 fi
4789
4790 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
4791 fi
4792 { echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
4793 echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
4794 case $ac_cv_c_bigendian in
4795 yes)
4796 ENDIAN=big
4797 ;;
4798 no)
4799 ENDIAN=little
4800 ;;
4801 *)
4802 { { echo "$as_me:$LINENO: error: unknown endianness
4803 presetting ac_cv_c_bigendian=no (or yes) will help" >&5
4804 echo "$as_me: error: unknown endianness
4805 presetting ac_cv_c_bigendian=no (or yes) will help" >&2;}
4806 { (exit 1); exit 1; }; } ;;
4807 esac
4808
4809
48104083 if test "$cross_compiling" = yes; then
48114084 LLVM_CROSS_COMPILING=1
48124085
79377210
79387211
79397212
7213
79407214 { echo "$as_me:$LINENO: checking for compiler -Wl,-R option" >&5
79417215 echo $ECHO_N "checking for compiler -Wl,-R option... $ECHO_C" >&6; }
79427216 if test "${llvm_cv_link_use_r+set}" = set; then
83607634 fi
83617635
83627636
7637 { echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
7638 echo $ECHO_N "checking for grep that handles long lines and -e... $ECHO_C" >&6; }
7639 if test "${ac_cv_path_GREP+set}" = set; then
7640 echo $ECHO_N "(cached) $ECHO_C" >&6
7641 else
7642 # Extract the first word of "grep ggrep" to use in msg output
7643 if test -z "$GREP"; then
7644 set dummy grep ggrep; ac_prog_name=$2
7645 if test "${ac_cv_path_GREP+set}" = set; then
7646 echo $ECHO_N "(cached) $ECHO_C" >&6
7647 else
7648 ac_path_GREP_found=false
7649 # Loop through the user's path and test for each of PROGNAME-LIST
7650 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7651 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
7652 do
7653 IFS=$as_save_IFS
7654 test -z "$as_dir" && as_dir=.
7655 for ac_prog in grep ggrep; do
7656 for ac_exec_ext in '' $ac_executable_extensions; do
7657 ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
7658 { test -f "$ac_path_GREP" && $as_executable_p "$ac_path_GREP"; } || continue
7659 # Check for GNU ac_path_GREP and select it if it is found.
7660 # Check for GNU $ac_path_GREP
7661 case `"$ac_path_GREP" --version 2>&1` in
7662 *GNU*)
7663 ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
7664 *)
7665 ac_count=0
7666 echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
7667 while :
7668 do
7669 cat "conftest.in" "conftest.in" >"conftest.tmp"
7670 mv "conftest.tmp" "conftest.in"
7671 cp "conftest.in" "conftest.nl"
7672 echo 'GREP' >> "conftest.nl"
7673 "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
7674 diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
7675 ac_count=`expr $ac_count + 1`
7676 if test $ac_count -gt ${ac_path_GREP_max-0}; then
7677 # Best one so far, save it but keep looking for a better one
7678 ac_cv_path_GREP="$ac_path_GREP"
7679 ac_path_GREP_max=$ac_count
7680 fi
7681 # 10*(2^10) chars as input seems more than enough
7682 test $ac_count -gt 10 && break
7683 done
7684 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
7685 esac
7686
7687
7688 $ac_path_GREP_found && break 3
7689 done
7690 done
7691
7692 done
7693 IFS=$as_save_IFS
7694
7695
7696 fi
7697
7698 GREP="$ac_cv_path_GREP"
7699 if test -z "$GREP"; then
7700 { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
7701 echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
7702 { (exit 1); exit 1; }; }
7703 fi
7704
7705 else
7706 ac_cv_path_GREP=$GREP
7707 fi
7708
7709
7710 fi
7711 { echo "$as_me:$LINENO: result: $ac_cv_path_GREP" >&5
7712 echo "${ECHO_T}$ac_cv_path_GREP" >&6; }
7713 GREP="$ac_cv_path_GREP"
7714
7715
7716 { echo "$as_me:$LINENO: checking for egrep" >&5
7717 echo $ECHO_N "checking for egrep... $ECHO_C" >&6; }
7718 if test "${ac_cv_path_EGREP+set}" = set; then
7719 echo $ECHO_N "(cached) $ECHO_C" >&6
7720 else
7721 if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
7722 then ac_cv_path_EGREP="$GREP -E"
7723 else
7724 # Extract the first word of "egrep" to use in msg output
7725 if test -z "$EGREP"; then
7726 set dummy egrep; ac_prog_name=$2
7727 if test "${ac_cv_path_EGREP+set}" = set; then
7728 echo $ECHO_N "(cached) $ECHO_C" >&6
7729 else
7730 ac_path_EGREP_found=false
7731 # Loop through the user's path and test for each of PROGNAME-LIST
7732 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7733 for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
7734 do
7735 IFS=$as_save_IFS
7736 test -z "$as_dir" && as_dir=.
7737 for ac_prog in egrep; do
7738 for ac_exec_ext in '' $ac_executable_extensions; do
7739 ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
7740 { test -f "$ac_path_EGREP" && $as_executable_p "$ac_path_EGREP"; } || continue
7741 # Check for GNU ac_path_EGREP and select it if it is found.
7742 # Check for GNU $ac_path_EGREP
7743 case `"$ac_path_EGREP" --version 2>&1` in
7744 *GNU*)
7745 ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
7746 *)
7747 ac_count=0
7748 echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
7749 while :
7750 do
7751 cat "conftest.in" "conftest.in" >"conftest.tmp"
7752 mv "conftest.tmp" "conftest.in"
7753 cp "conftest.in" "conftest.nl"
7754 echo 'EGREP' >> "conftest.nl"
7755 "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
7756 diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
7757 ac_count=`expr $ac_count + 1`
7758 if test $ac_count -gt ${ac_path_EGREP_max-0}; then
7759 # Best one so far, save it but keep looking for a better one
7760 ac_cv_path_EGREP="$ac_path_EGREP"
7761 ac_path_EGREP_max=$ac_count
7762 fi
7763 # 10*(2^10) chars as input seems more than enough
7764 test $ac_count -gt 10 && break
7765 done
7766 rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
7767 esac
7768
7769
7770 $ac_path_EGREP_found && break 3
7771 done
7772 done
7773
7774 done
7775 IFS=$as_save_IFS
7776
7777
7778 fi
7779
7780 EGREP="$ac_cv_path_EGREP"
7781 if test -z "$EGREP"; then
7782 { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
7783 echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
7784 { (exit 1); exit 1; }; }
7785 fi
7786
7787 else
7788 ac_cv_path_EGREP=$EGREP
7789 fi
7790
7791
7792 fi
7793 fi
7794 { echo "$as_me:$LINENO: result: $ac_cv_path_EGREP" >&5
7795 echo "${ECHO_T}$ac_cv_path_EGREP" >&6; }
7796 EGREP="$ac_cv_path_EGREP"
7797
7798
7799 { echo "$as_me:$LINENO: checking for ANSI C header files" >&5
7800 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
7801 if test "${ac_cv_header_stdc+set}" = set; then
7802 echo $ECHO_N "(cached) $ECHO_C" >&6
7803 else
7804 cat >conftest.$ac_ext <<_ACEOF
7805 /* confdefs.h. */
7806 _ACEOF
7807 cat confdefs.h >>conftest.$ac_ext
7808 cat >>conftest.$ac_ext <<_ACEOF
7809 /* end confdefs.h. */
7810 #include
7811 #include
7812 #include
7813 #include
7814
7815 int
7816 main ()
7817 {
7818
7819 ;
7820 return 0;
7821 }
7822 _ACEOF
7823 rm -f conftest.$ac_objext
7824 if { (ac_try="$ac_compile"
7825 case "(($ac_try" in
7826 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7827 *) ac_try_echo=$ac_try;;
7828 esac
7829 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7830 (eval "$ac_compile") 2>conftest.er1
7831 ac_status=$?
7832 grep -v '^ *+' conftest.er1 >conftest.err
7833 rm -f conftest.er1
7834 cat conftest.err >&5
7835 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7836 (exit $ac_status); } &&
7837 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
7838 { (case "(($ac_try" in
7839 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7840 *) ac_try_echo=$ac_try;;
7841 esac
7842 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7843 (eval "$ac_try") 2>&5
7844 ac_status=$?
7845 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7846 (exit $ac_status); }; } &&
7847 { ac_try='test -s conftest.$ac_objext'
7848 { (case "(($ac_try" in
7849 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7850 *) ac_try_echo=$ac_try;;
7851 esac
7852 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7853 (eval "$ac_try") 2>&5
7854 ac_status=$?
7855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7856 (exit $ac_status); }; }; then
7857 ac_cv_header_stdc=yes
7858 else
7859 echo "$as_me: failed program was:" >&5
7860 sed 's/^/| /' conftest.$ac_ext >&5
7861
7862 ac_cv_header_stdc=no
7863 fi
7864
7865 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7866
7867 if test $ac_cv_header_stdc = yes; then
7868 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
7869 cat >conftest.$ac_ext <<_ACEOF
7870 /* confdefs.h. */
7871 _ACEOF
7872 cat confdefs.h >>conftest.$ac_ext
7873 cat >>conftest.$ac_ext <<_ACEOF
7874 /* end confdefs.h. */
7875 #include
7876
7877 _ACEOF
7878 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
7879 $EGREP "memchr" >/dev/null 2>&1; then
7880 :
7881 else
7882 ac_cv_header_stdc=no
7883 fi
7884 rm -f conftest*
7885
7886 fi
7887
7888 if test $ac_cv_header_stdc = yes; then
7889 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
7890 cat >conftest.$ac_ext <<_ACEOF
7891 /* confdefs.h. */
7892 _ACEOF
7893 cat confdefs.h >>conftest.$ac_ext
7894 cat >>conftest.$ac_ext <<_ACEOF
7895 /* end confdefs.h. */
7896 #include
7897
7898 _ACEOF
7899 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
7900 $EGREP "free" >/dev/null 2>&1; then
7901 :
7902 else
7903 ac_cv_header_stdc=no
7904 fi
7905 rm -f conftest*
7906
7907 fi
7908
7909 if test $ac_cv_header_stdc = yes; then
7910 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
7911 if test "$cross_compiling" = yes; then
7912 :
7913 else
7914 cat >conftest.$ac_ext <<_ACEOF
7915 /* confdefs.h. */
7916 _ACEOF
7917 cat confdefs.h >>conftest.$ac_ext
7918 cat >>conftest.$ac_ext <<_ACEOF
7919 /* end confdefs.h. */
7920 #include
7921 #include
7922 #if ((' ' & 0x0FF) == 0x020)
7923 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
7924 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
7925 #else
7926 # define ISLOWER(c) \
7927 (('a' <= (c) && (c) <= 'i') \
7928 || ('j' <= (c) && (c) <= 'r') \
7929 || ('s' <= (c) && (c) <= 'z'))
7930 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
7931 #endif
7932
7933 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
7934 int
7935 main ()
7936 {
7937 int i;
7938 for (i = 0; i < 256; i++)
7939 if (XOR (islower (i), ISLOWER (i))
7940 || toupper (i) != TOUPPER (i))
7941 return 2;
7942 return 0;
7943 }
7944 _ACEOF
7945 rm -f conftest$ac_exeext
7946 if { (ac_try="$ac_link"
7947 case "(($ac_try" in
7948 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7949 *) ac_try_echo=$ac_try;;
7950 esac
7951 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7952 (eval "$ac_link") 2>&5
7953 ac_status=$?
7954 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7955 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
7956 { (case "(($ac_try" in
7957 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7958 *) ac_try_echo=$ac_try;;
7959 esac
7960 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7961 (eval "$ac_try") 2>&5
7962 ac_status=$?
7963 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7964 (exit $ac_status); }; }; then
7965 :
7966 else
7967 echo "$as_me: program exited with status $ac_status" >&5
7968 echo "$as_me: failed program was:" >&5
7969 sed 's/^/| /' conftest.$ac_ext >&5
7970
7971 ( exit $ac_status )
7972 ac_cv_header_stdc=no
7973 fi
7974 rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
7975 fi
7976
7977
7978 fi
7979 fi
7980 { echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
7981 echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
7982 if test $ac_cv_header_stdc = yes; then
7983
7984 cat >>confdefs.h <<\_ACEOF
7985 #define STDC_HEADERS 1
7986 _ACEOF
7987
7988 fi
7989
7990
83637991
83647992
83657993
86488276 fi
86498277
86508278 fi
8279
8280 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
8281
8282
8283
8284
8285
8286
8287
8288
8289
8290 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
8291 inttypes.h stdint.h unistd.h
8292 do
8293 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8294 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8295 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8296 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8297 echo $ECHO_N "(cached) $ECHO_C" >&6
8298 else
8299 cat >conftest.$ac_ext <<_ACEOF
8300 /* confdefs.h. */
8301 _ACEOF
8302 cat confdefs.h >>conftest.$ac_ext
8303 cat >>conftest.$ac_ext <<_ACEOF
8304 /* end confdefs.h. */
8305 $ac_includes_default
8306
8307 #include <$ac_header>
8308 _ACEOF
8309 rm -f conftest.$ac_objext
8310 if { (ac_try="$ac_compile"
8311 case "(($ac_try" in
8312 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8313 *) ac_try_echo=$ac_try;;
8314 esac
8315 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8316 (eval "$ac_compile") 2>conftest.er1
8317 ac_status=$?
8318 grep -v '^ *+' conftest.er1 >conftest.err
8319 rm -f conftest.er1
8320 cat conftest.err >&5
8321 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8322 (exit $ac_status); } &&
8323 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
8324 { (case "(($ac_try" in
8325 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8326 *) ac_try_echo=$ac_try;;
8327 esac
8328 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8329 (eval "$ac_try") 2>&5
8330 ac_status=$?
8331 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8332 (exit $ac_status); }; } &&
8333 { ac_try='test -s conftest.$ac_objext'
8334 { (case "(($ac_try" in
8335 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8336 *) ac_try_echo=$ac_try;;
8337 esac
8338 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8339 (eval "$ac_try") 2>&5
8340 ac_status=$?
8341 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8342 (exit $ac_status); }; }; then
8343 eval "$as_ac_Header=yes"
8344 else
8345 echo "$as_me: failed program was:" >&5
8346 sed 's/^/| /' conftest.$ac_ext >&5
8347
8348 eval "$as_ac_Header=no"
8349 fi
8350
8351 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8352 fi
8353 ac_res=`eval echo '${'$as_ac_Header'}'`
8354 { echo "$as_me:$LINENO: result: $ac_res" >&5
8355 echo "${ECHO_T}$ac_res" >&6; }
8356 if test `eval echo '${'$as_ac_Header'}'` = yes; then
8357 cat >>confdefs.h <<_ACEOF
8358 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
8359 _ACEOF
8360
8361 fi
8362
8363 done
8364
86518365
86528366
86538367 for ac_header in dlfcn.h
88248538 fi
88258539
88268540
8827 if test x"${enable_ltdl_install-no}" != xno; then
8541
8542
8543 if test x"${enable_ltdl_install-no}" != xno; then
88288544 INSTALL_LTDL_TRUE=
88298545 INSTALL_LTDL_FALSE='#'
88308546 else
88328548 INSTALL_LTDL_FALSE=
88338549 fi
88348550
8835 if test x"${enable_ltdl_convenience-no}" != xno; then
8551
8552
8553 if test x"${enable_ltdl_convenience-no}" != xno; then
88368554 CONVENIENCE_LTDL_TRUE=
88378555 CONVENIENCE_LTDL_FALSE='#'
88388556 else
1058110299 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
1058210300 lt_status=$lt_dlunknown
1058310301 cat > conftest.$ac_ext <
10584 #line 10585 "configure"
10302 #line 10303 "configure"
1058510303 #include "confdefs.h"
1058610304
1058710305 #if HAVE_DLFCN_H
2307122789 LLVM_ON_WIN32!$LLVM_ON_WIN32$ac_delim
2307222790 ARCH!$ARCH$ac_delim
2307322791 HOST_ARCH!$HOST_ARCH$ac_delim
23074 ENDIAN!$ENDIAN$ac_delim
23075 GREP!$GREP$ac_delim
23076 EGREP!$EGREP$ac_delim
2307722792 LLVM_CROSS_COMPILING!$LLVM_CROSS_COMPILING$ac_delim
2307822793 BUILD_CC!$BUILD_CC$ac_delim
2307922794 BUILD_EXEEXT!$BUILD_EXEEXT$ac_delim
2309522810 DEBUG_SYMBOLS!$DEBUG_SYMBOLS$ac_delim
2309622811 KEEP_SYMBOLS!$KEEP_SYMBOLS$ac_delim
2309722812 JIT!$JIT$ac_delim
22813 TARGET_HAS_JIT!$TARGET_HAS_JIT$ac_delim
22814 ENABLE_DOCS!$ENABLE_DOCS$ac_delim
22815 ENABLE_DOXYGEN!$ENABLE_DOXYGEN$ac_delim
2309822816 _ACEOF
2309922817
2310022818 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2313622854 ac_delim='%!_!# '
2313722855 for ac_last_try in false false false false false :; do
2313822856 cat >conf$$subs.sed <<_ACEOF
23139 TARGET_HAS_JIT!$TARGET_HAS_JIT$ac_delim
23140 ENABLE_DOCS!$ENABLE_DOCS$ac_delim
23141 ENABLE_DOXYGEN!$ENABLE_DOXYGEN$ac_delim
2314222857 LLVM_ENABLE_THREADS!$LLVM_ENABLE_THREADS$ac_delim
2314322858 ENABLE_PTHREADS!$ENABLE_PTHREADS$ac_delim
2314422859 LLVM_ENABLE_ZLIB!$LLVM_ENABLE_ZLIB$ac_delim
2316422879 CP!$CP$ac_delim
2316522880 DATE!$DATE$ac_delim
2316622881 FIND!$FIND$ac_delim
22882 GREP!$GREP$ac_delim
2316722883 MKDIR!$MKDIR$ac_delim
2316822884 MV!$MV$ac_delim
2316922885 RANLIB!$RANLIB$ac_delim
2319722913 OCAMLDOC!$OCAMLDOC$ac_delim
2319822914 GAS!$GAS$ac_delim
2319922915 HAVE_LINK_VERSION_SCRIPT!$HAVE_LINK_VERSION_SCRIPT$ac_delim
22916 EGREP!$EGREP$ac_delim
2320022917 INSTALL_LTDL_TRUE!$INSTALL_LTDL_TRUE$ac_delim
2320122918 INSTALL_LTDL_FALSE!$INSTALL_LTDL_FALSE$ac_delim
2320222919 CONVENIENCE_LTDL_TRUE!$CONVENIENCE_LTDL_TRUE$ac_delim
2323322950 BINDINGS_TO_BUILD!$BINDINGS_TO_BUILD$ac_delim
2323422951 ALL_BINDINGS!$ALL_BINDINGS$ac_delim
2323522952 OCAML_LIBDIR!$OCAML_LIBDIR$ac_delim
22953 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
2323622954 _ACEOF
2323722955
2323822956 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
2327422992 ac_delim='%!_!# '
2327522993 for ac_last_try in false false false false false :; do
2327622994 cat >conf$$subs.sed <<_ACEOF
23277 ENABLE_VISIBILITY_INLINES_HIDDEN!$ENABLE_VISIBILITY_INLINES_HIDDEN$ac_delim
2327822995 RPATH!$RPATH$ac_delim
2327922996 RDYNAMIC!$RDYNAMIC$ac_delim
2328022997 program_prefix!$program_prefix$ac_delim
2328222999 LTLIBOBJS!$LTLIBOBJS$ac_delim
2328323000 _ACEOF
2328423001
23285 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 6; then
23002 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 5; then
2328623003 break
2328723004 elif $ac_last_try; then
2328823005 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
11
22 #ifndef CONFIG_H
33 #define CONFIG_H
4
5 /* Define if building universal (internal helper macro) */
6 #undef AC_APPLE_UNIVERSAL_BUILD
74
85 /* Bug report URL. */
96 #undef BUG_REPORT_URL
672669 /* Define to the one symbol short name of this package. */
673670 #undef PACKAGE_TARNAME
674671
675 /* Define to the home page for this package. */
676 #undef PACKAGE_URL
677
678672 /* Define to the version of this package. */
679673 #undef PACKAGE_VERSION
680674
699693 /* Type of 1st arg on ELM Callback */
700694 #undef WIN32_ELMCB_PCSTR
701695
702 /* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
703 significant byte first (like Motorola and SPARC, unlike Intel). */
704 #if defined AC_APPLE_UNIVERSAL_BUILD
705 # if defined __BIG_ENDIAN__
706 # define WORDS_BIGENDIAN 1
707 # endif
708 #else
709 # ifndef WORDS_BIGENDIAN
710 # undef WORDS_BIGENDIAN
711 # endif
712 #endif
713
714696 /* Define to empty if `const' does not conform to ANSI C. */
715697 #undef const
716698